Vekta API
Activities

Get an activity's streams

Recorded time series of an activity in column-oriented form: one array per field, aligned by index. Requests to this endpoint are only counted against the per api key rate limit. Responds with 404 if the activity does not exist, is not accessible to you, or has no streams.

GET
/activities/{activityId}/streams
AuthorizationBearer <token>

Vekta api key, e.g. Authorization: Bearer vk_...

In: header

Path Parameters

activityId*string

Id of an activity of a user you have access to, obtained from the activity list endpoint

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/activities/act_01JK4W2N9XQ3F5H7B8C6D2E9GT/streams"
{  "timestamp": [    "2026-08-05T06:30:00.000Z",    "2026-08-05T06:30:01.000Z"  ],  "power": [    0  ],  "distance": [    0  ],  "heartRate": [    0  ],  "cadence": [    0  ],  "temperature": [    0  ],  "altitude": [    0  ],  "speed": [    0  ],  "grade": [    0  ],  "positionLat": [    0  ],  "positionLong": [    0  ],  "leftRightBalance": [    0  ],  "coreTemperature": [    0  ],  "skinTemperature": [    0  ],  "heatStrainIndex": [    0  ],  "breathingRate": [    0  ],  "tidalVolume": [    0  ],  "minuteVentilation": [    0  ],  "torque": [    0  ],  "wPrimeBalance": [    0  ],  "intensity": [    0  ],  "groundContactTime": [    0  ],  "stepLength": [    0  ],  "verticalOscillation": [    0  ],  "fluidLoss": [    0  ],  "sodiumLoss": [    0  ]}